#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    int a1, a2;
    string s;
    cin >> s >> a1 >> a2;
    if(abs(a1 - a2) > 1) cout << "nemoguce";
    else
    {
        char c1 = s[0];
        char c2 = s[1];
        if(a1 == a2)
        {
            for(int i = 1; i <= a1; i++)
            {
                cout << s;
            }
        }
        else
        {
            if(a1 < a2)
            {
                swap(a1, a2);
                swap(c1, c2);
            }
            for(int i = 1; i <= a2; i++)
            {
                cout << s;
            }
            cout << c1;
        }
    }
    return 0;
}